GET /v2/locations

bikewise.org

Summary: Unpaginated geojson response
Operation ID: GET--version-locations---format-
Auth: none
Description

<p><strong>This endpoint behaves exactly like</strong> <code>incidents</code>, but returns a valid geojson <code>FeatureCollection</code> that looks like this:</p> <pre><code>{ type: "FeatureCollection", features: [ { type: "Feature", properties: { id: 4474199, type: "Theft", occurred_at: 1428536937 }, geometry: { type: "Point", coordinates: [ -122.6244177, 45.5164386 ] } } } </code></pre> <p>It doesn’t paginate. If you pass the <code>all</code> parameter it returns all matches (which can be big, &gt; 4mb), otherwise it returns the 100 most recent.</p> <p><strong>Go forth and make maps!</strong></p>

Parameters (8)

all (boolean, query, optional)

<p>Give ‘em all to me. Will ignore limit</p>

incident_type (string, query, optional)

<p>Only incidents of specific type</p>

Constraints: {'enum': ['crash', 'hazard', 'theft', 'unconfirmed', 'infrastructure_issue', 'chop_shop']}

limit (integer, query, optional)

<p>Max number of results to return. Defaults to 100</p>

occurred_after (integer, query, optional)

<p>Start of period</p>

occurred_before (integer, query, optional)

<p>End of period</p>

proximity (string, query, optional)

<p>Center of location for proximity search</p>

proximity_square (integer, query, optional, default: 100)

<p>Size of the proximity search</p>

query (string, query, optional)

<p>Full text search of incidents</p>

Examples (1)

TitleTypeURLAction
Get bike incident locations as GeoJSON near Chicago doc_extracted https://bikewise.org/api/v2/locations?proximity=Chicago,IL&per_page=100

No probe data for this endpoint yet.